#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libjpeg-turbo
Version		:	3.0.0
Release		:	16.2.0.rel%{?dist}
Summary		:	A MMX/SSE2 accelerated library for manipulating JPEG image files
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	IJG
URL		:	https://downloads.sourceforge.net/libjpeg-turbo

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc
BuildRequires	:	libtool
BuildRequires	:	nasm
BuildRequires	:	yasm
#-----------------------------------------------------------------------------
%description
The libjpeg-turbo package contains a library of functions for manipulating
JPEG images.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/libjpeg.so.62*
%{_libdir}/libturbojpeg.so.0*

#=============================================================================
%package		devel

Summary		:	 Headers for the libjpeg-turbo library

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains header files necessary for
developing programs which will manipulate JPEG
files using the libjpeg-turbo library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%doc coderules.txt jconfig.txt libjpeg.txt structure.txt
%{_includedir}/jconfig*.h
%{_includedir}/jerror.h
%{_includedir}/jmorecfg.h
%{_includedir}/jpeglib.h
%{_includedir}/turbojpeg.h
%{_libdir}/libjpeg.so
%{_libdir}/libturbojpeg.so
%{_libdir}/pkgconfig/libjpeg.pc
%{_libdir}/pkgconfig/libturbojpeg.pc
%{_libdir}/cmake/%{name}/%{name}*.cmake
%{_defaultdocdir}/%{name}-%{version}/*

#=============================================================================
%package		utils

Summary		:	Utilities for manipulating JPEG images

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		utils
The libjpeg-turbo-utils package contains simple
client programs for accessing the libjpeg functions.
It contains cjpeg, djpeg, jpegtran, rdjpgcom and wrjpgcom.
Cjpeg compresses an image file into JPEG format.
Djpeg decompresses a JPEG file into a regular image file.
Jpegtran can perform various useful transformations on JPEG files.
Rdjpgcom displays any text comments included in a JPEG file.
Wrjpgcom inserts text comments into a JPEG file.

#-----------------------------------------------------------------------------
%files			utils
%defattr(-,root,root, -)
%doc usage.txt wizard.txt
%{_bindir}/cjpeg
%{_bindir}/djpeg
%{_bindir}/jpegtran
%{_bindir}/rdjpgcom
%{_bindir}/tjbench
%{_bindir}/wrjpgcom
%{_mandir}/man1/cjpeg.1.gz
%{_mandir}/man1/djpeg.1.gz
%{_mandir}/man1/jpegtran.1.gz
%{_mandir}/man1/rdjpgcom.1.gz
%{_mandir}/man1/wrjpgcom.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

mkdir build
pushd build

cmake									\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}				\
	-DCMAKE_INSTALL_DEFAULT_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=RELEASE  					\
	-DENABLE_STATIC=FALSE       					\
	-DCMAKE_INSTALL_DOCDIR=%{_defaultdocdir}/%{name}-%{version}	\
	..


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
pushd build
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
popd

#-----------------------------------------------------------------------------
%changelog
